<?php

require_once 'Area.php';

require_once 'data/MySQLFrontEndDataModel.php';

//frontend db <> area model
class FEAreaModel 
{
    private $m_DataAccess;
    
    public function __construct()
    {
        $this->m_DataAccess = new MySQLFrontEndDataModel();
    }
    
    public function __destruct()
    {
        // not doing anything at the moment
    }
            
    //get all content areas
    public function fetchAreas()
    {
        $areasArray = array();
        $this->m_DataAccess->connectToDB();
        $this->m_DataAccess->selectAreas();
        while($row = $this->m_DataAccess->fetchAreas())
        {
            $currentArea = new Area();
            $currentArea->setName($row['name']);
            $currentArea->setAlias($row['alias']);
            $currentArea->setOrder($row['order']);
            $currentArea->setDescription($row['description']);
            $areasArray[] = $currentArea;
        }
        return $areasArray;
    }
    
}

?>
