<?php

require_once 'Template.php';

require_once 'data/MySQLFrontEndDataModel.php';

//frontend db <> template model
class FETemplateModel 
{
    private $m_DataAccess;
    
    public function __construct()
    {
        $this->m_DataAccess = new MySQLFrontEndDataModel();
    }
    
    public function __destruct()
    {
        // not doing anything at the moment
    }
            
    //returns the active template
    public function fetchTemplate()
    {
        $template = new Template();
        $this->m_DataAccess->connectToDB();
        $templateRecord = $this->m_DataAccess->findActiveTemplate();
        $template->setName($templateRecord['name']);
        $template->setDescription($templateRecord['description']);
        $template->setIsActive($templateRecord['isActive']);
        $template->setDirectives($templateRecord['directives']);
        return $template;
    }
    
}

?>
