-- phpMyAdmin SQL Dump
-- version 3.5.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Dec 14, 2012 at 07:03 PM
-- Server version: 5.5.24-log
-- PHP Version: 5.4.3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `ezcms`
--

CREATE DATABASE `ezcms`;



-- --------------------------------------------------------

--
-- Table structure for table `areas`
--

CREATE TABLE IF NOT EXISTS `areas` (
  `name` varchar(20) NOT NULL,
  `alias` varchar(20) NOT NULL,
  `order` int(11) NOT NULL,
  `description` varchar(100) DEFAULT NULL,
  `create_by` varchar(20) NOT NULL,
  `create_dt` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `mod_by` varchar(20) DEFAULT NULL,
  `mod_dt` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `areas`
--

INSERT INTO `areas` (`name`, `alias`, `order`, `description`, `create_by`, `create_dt`, `mod_by`, `mod_dt`) VALUES
('body', 'body', 3, 'Body', 'system', '2012-12-10 14:40:54', 'system', '2012-12-10 14:40:54'),
('footer', 'footer', 4, 'Footer', 'system', '2012-12-10 14:40:54', 'system', '2012-12-10 14:40:54'),
('header', 'header', 1, 'Header', 'system', '2012-12-10 14:38:35', 'system', '2012-12-10 14:38:35'),
('menu', 'menu', 2, 'Menu', 'system', '2012-12-10 14:40:54', 'system', '2012-12-10 14:40:54');

--
-- Triggers `areas`
--
DROP TRIGGER IF EXISTS `areas_update`;
DELIMITER //
CREATE TRIGGER `areas_update` BEFORE UPDATE ON `areas`
 FOR EACH ROW SET NEW.mod_dt = NOW()
//
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `articles`
--

CREATE TABLE IF NOT EXISTS `articles` (
  `name` varchar(20) NOT NULL,
  `title` varchar(100) NOT NULL,
  `description` varchar(100) DEFAULT NULL,
  `page` varchar(20) DEFAULT NULL,
  `area` varchar(20) DEFAULT NULL,
  `body` text NOT NULL,
  `create_by` varchar(20) NOT NULL,
  `create_dt` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `mod_by` varchar(20) DEFAULT NULL,
  `mod_dt` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `articles`
--

INSERT INTO `articles` (`name`, `title`, `description`, `page`, `area`, `body`, `create_by`, `create_dt`, `mod_by`, `mod_dt`) VALUES
('banner', 'Banner', 'A place for banner stuff.', 'allpage', 'header', 'Hello, and welcome to <strong>EZ-CMS</strong>!', 'system', '2012-12-10 14:45:18', 'myeditor1', '2012-12-12 23:23:36'),
('bottombarstuff', 'Bottom Bar Stuff', 'A place for footer stuff.', 'allpage', 'footer', '<table width="100%"><tr><td><img src="images/copyleft_12x12.png" class="copyleft" alt="Copyleft" /> 2012, William Matheson</td>\r\n<td style="text-align: right;"><a href="admin.php">CManager</a></td></tr></table>', 'system', '2012-12-10 14:46:23', 'myeditor1', '2012-12-12 23:36:38'),
('loremipsumwhere', 'Where Can I Get Some Lorem Ipsum?', 'Tells of a place to get some Lorem Ipsum', 'page4', 'body', 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don''t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn''t anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.\r\n\r\n<p>SO GO HERE: <tt><a href="http://www.lipsum.com">http://www.lipsum.com</a></tt></p>\r\n\r\n<p>Nulla a magna mauris. Sed lorem dui, mattis quis rutrum hendrerit, varius ut elit. Morbi lacus odio, tristique eu venenatis congue, interdum ut dui. Etiam non scelerisque magna. Duis quis nulla pellentesque ipsum scelerisque pretium at in lorem. Nullam pretium leo vitae nibh auctor at ultricies risus bibendum. Vivamus accumsan, nisi nec accumsan eleifend, leo lectus vestibulum justo, in mattis diam risus quis mi. Maecenas a est in lorem vulputate pharetra.</p>', 'myeditor1', '2012-12-12 22:55:26', 'willmatheson', '2012-12-13 01:54:24'),
('menustuff', 'Menu Stuff', 'A place for menu stuff.', 'allpage', 'menu', '<strong>Menu:</strong><br/>\r\n<a href="index.php?page=page1">Page 1</a><br/>\r\n<a href="index.php?page=page2">Page 2</a><br/>\r\n<a href="index.php?page=page3">Page 3</a><br/>\r\n<a href="index.php?page=page4">Page 4</a><br/>\r\n<br/>\r\n<span class="login">\r\n<strong>Sign in:</strong><br/>\r\nUsername:<br/>\r\n<form method="post" action="index.php">\r\n<input type="text" name="auname"/><br/>\r\nPassword:<br/>\r\n<input type="password" name="apassword"/><br/>\r\n<input type="submit" style="margin-top:5px;" name="SignInBtn" value="Sign In"/>\r\n</form>\r\n<br/>\r\n</span>\r\n<span class="logout">\r\n<strong>Logout:</strong><br/>\r\n<form method="get" action="index.php">\r\n<input type="hidden" name="authlogout" value="Y"/>\r\n<input type="submit" style="margin-top:5px;" name="SignOutBtn" value="Logout"/>\r\n</form>\r\n<br/>\r\n<strong>Articles:</strong><br/>\r\n<form method="get" action="index.php">\r\n<input type="hidden" name="addarticle" value="Y"/>\r\n<input type="submit" style="margin-top:5px;" name="AddArticleBtn" value="Add"/>\r\n</form>\r\n<br/>\r\n</span>', 'system', '2012-12-10 14:48:16', 'myeditor1', '2012-12-13 01:17:19'),
('whatisli', 'What is Lorem Ipsum?', 'What Lorem Ipsum Is', 'page1', 'body', '<strong>Lorem Ipsum</strong> is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus <a href="http://en.wikipedia.org/wiki/Adobe_PageMaker">PageMaker</a> including versions of Lorem Ipsum.\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent interdum justo vitae arcu interdum ut accumsan augue pulvinar. Nulla non enim nec mauris ultrices placerat sed a velit. Donec blandit, libero non congue ultricies, lectus nisl rutrum arcu, et congue nisl justo quis tortor. Suspendisse ut quam ligula. Etiam sagittis augue nec purus egestas at vulputate neque volutpat. Etiam ornare viverra diam, ac venenatis libero congue sit amet. Donec pharetra porttitor odio sed lobortis. Proin condimentum tincidunt mi ultrices facilisis. Integer eu eleifend mauris. Nunc a odio nec nulla auctor mattis a et ante. Suspendisse potenti. Vivamus rutrum, risus non feugiat commodo, purus magna viverra massa, in bibendum elit magna non lectus. Proin magna erat, adipiscing non adipiscing sit amet, venenatis vel elit. Praesent nec odio non nunc lobortis aliquam. Praesent varius bibendum lacus, quis suscipit nisi blandit ut.</p>', 'system', '2012-12-10 14:43:20', 'willmatheson', '2012-12-13 01:51:09'),
('wherecomesli', 'Where Does Lorem Ipsum Come From?', 'Information on where Lorem Ipsum comes from', 'page3', 'body', 'Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur, from a Lorem Ipsum passage, and going through the cites of the word in classical literature, discovered the undoubtable source. Lorem Ipsum comes from sections 1.10.32 and 1.10.33 of "de Finibus Bonorum et Malorum" (The Extremes of Good and Evil) by <a href="http://en.wikipedia.org/wiki/Cicero">Cicero</a>, written in 45 BC. This book is a treatise on the theory of ethics, very popular during the Renaissance. The first line of Lorem Ipsum, "Lorem ipsum dolor sit amet..", comes from a line in section 1.10.32.\r\n\r\nThe standard chunk of Lorem Ipsum used since the 1500s is reproduced in many places for those interested. Sections 1.10.32 and 1.10.33 from "de Finibus Bonorum et Malorum" by Cicero are also reproduced in their exact original form, accompanied by English versions from the 1914 translation by H. Rackham.\r\n\r\n<p>In tincidunt vulputate purus. Mauris rutrum neque sed ligula faucibus eget congue lacus lobortis. Vivamus elementum augue sed lectus pulvinar molestie. Phasellus nisi nisi, consectetur ut suscipit nec, blandit lobortis lorem. Sed vitae nisi dolor. Maecenas metus tortor, fringilla vitae semper sed, auctor a arcu. Maecenas molestie elementum elit id ullamcorper. Sed non odio non erat fringilla sollicitudin ut vitae nibh. Duis congue molestie aliquam. Nullam et dolor id ipsum laoreet fringilla. Curabitur ac elit eros, eu ullamcorper turpis. In sed felis in mi porttitor venenatis. Suspendisse risus magna, mattis at porta convallis, rhoncus id est. Integer posuere velit eget orci venenatis vitae tincidunt leo sodales. Aliquam vitae orci vitae ante pulvinar suscipit at at enim. Nunc ultricies sagittis blandit.</p>', 'system', '2012-12-10 14:51:13', 'willmatheson', '2012-12-13 11:15:03'),
('whyuseli', 'Why do we use Lorem Ipsum?', 'About why we use Lorem Ipsum', 'page2', 'body', 'It is a <em>long</em> established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using ''Content here, content here'', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for ''lorem ipsum'' will uncover many web sites still in their infancy. Various versions have evolved over the years, sometimes by accident, sometimes on purpose (injected humour and the like).\r\n\r\n<p>Praesent porta massa ornare tellus pellentesque facilisis. Nam consectetur, nibh eget venenatis facilisis, risus tellus pellentesque massa, eu consequat nulla leo sit amet nibh. Proin bibendum faucibus mattis. Donec eget tortor nec elit imperdiet sodales. Praesent tincidunt, mauris sit amet rutrum facilisis, augue tortor pretium eros, a varius sapien mi ut quam. Sed egestas venenatis ligula vel malesuada. Proin arcu libero, eleifend vel vestibulum non, auctor vitae arcu. Pellentesque nec mauris eget dolor fringilla facilisis sit amet iaculis ipsum. Praesent eget tortor lacus.</p>', 'system', '2012-12-10 14:50:58', 'myeditor1', '2012-12-14 18:01:31');

--
-- Triggers `articles`
--
DROP TRIGGER IF EXISTS `articles_update`;
DELIMITER //
CREATE TRIGGER `articles_update` BEFORE UPDATE ON `articles`
 FOR EACH ROW SET NEW.mod_dt = NOW()
//
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `pages`
--

CREATE TABLE IF NOT EXISTS `pages` (
  `name` varchar(20) NOT NULL,
  `alias` varchar(20) NOT NULL,
  `description` varchar(100) DEFAULT NULL,
  `create_by` varchar(20) NOT NULL,
  `create_dt` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `mod_by` varchar(20) DEFAULT NULL,
  `mod_dt` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `pages`
--

INSERT INTO `pages` (`name`, `alias`, `description`, `create_by`, `create_dt`, `mod_by`, `mod_dt`) VALUES
('allpage', 'allpage', 'A dummy page to hold articles destined for all pages.', 'system', '2012-12-10 14:52:33', 'system', '2012-12-10 14:52:33'),
('page1', 'page1', 'This is the description for Page 1', 'system', '2012-12-10 14:53:41', 'system', '2012-12-10 14:53:41'),
('page2', 'page2', 'This is the description for Page 2', 'system', '2012-12-10 14:53:54', 'system', '2012-12-10 14:53:54'),
('page3', 'page3', 'This is the description for Page 3', 'system', '2012-12-10 14:54:07', 'system', '2012-12-10 14:54:07'),
('page4', 'page4', 'This is the description of Page 4.', 'myeditor1', '2012-12-12 22:54:27', NULL, NULL);

--
-- Triggers `pages`
--
DROP TRIGGER IF EXISTS `pages_update`;
DELIMITER //
CREATE TRIGGER `pages_update` BEFORE UPDATE ON `pages`
 FOR EACH ROW SET NEW.mod_dt = NOW()
//
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `templates`
--

CREATE TABLE IF NOT EXISTS `templates` (
  `name` varchar(20) NOT NULL,
  `description` varchar(100) DEFAULT NULL,
  `isActive` bit(1) DEFAULT NULL,
  `directives` text NOT NULL,
  `create_by` varchar(20) NOT NULL,
  `create_dt` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `mod_by` varchar(20) DEFAULT NULL,
  `mod_dt` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `templates`
--

INSERT INTO `templates` (`name`, `description`, `isActive`, `directives`, `create_by`, `create_dt`, `mod_by`, `mod_dt`) VALUES
('alternate', 'An alternate template.', b'0', '#header {\r\n    padding:5px 10px;\r\n    background:#cc9;\r\n}\r\n#menu {\r\n    padding:5px 10px;\r\n    float:left;\r\n    width:250px;\r\n    background:#9c9;\r\n}\r\n#body {\r\n    padding:5px 10px;\r\n    margin-left:270px;\r\n    background:#c9c;\r\n}\r\n#footer {\r\n    padding:5px 10px;\r\n    clear:both;\r\n    background:#ddd;\r\n}\r\n.title {\r\nfont-weight:bold;\r\n}\r\n.byline {\r\nfont-weight:bold;\r\n}\r\n.time {\r\nfont-family:Courier, monospace;\r\n}', 'myeditor1', '2012-12-12 22:58:43', 'myeditor1', '2012-12-14 18:00:53'),
('default', 'This is the description for default.', b'1', '#header {\r\n    padding:5px 10px;\r\n    background:#ddd;\r\n}\r\n#menu {\r\n    padding:5px 10px;\r\n    float:left;\r\n    width:250px;\r\n    background:#c9c;\r\n}\r\n#body {\r\n    padding:5px 10px;\r\n    margin-left:270px;\r\n    background:#9c9;\r\n}\r\n#footer {\r\n    padding:5px 10px;\r\n    clear:both;\r\n    background:#cc9;\r\n}\r\n.title {\r\nfont-weight:bold;\r\n}\r\n.byline {\r\nfont-weight:bold;\r\n}\r\n.time {\r\nfont-family:Courier, monospace;\r\n}', 'system', '2012-12-10 14:55:50', 'myeditor1', '2012-12-14 18:00:53');

--
-- Triggers `templates`
--
DROP TRIGGER IF EXISTS `templates_update`;
DELIMITER //
CREATE TRIGGER `templates_update` BEFORE UPDATE ON `templates`
 FOR EACH ROW SET NEW.mod_dt = NOW()
//
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `username` varchar(20) NOT NULL,
  `password` varchar(128) NOT NULL,
  `salt` varchar(20) NOT NULL,
  `first_name` varchar(100) DEFAULT NULL,
  `last_name` varchar(100) DEFAULT NULL,
  `email` varchar(256) DEFAULT NULL,
  `is_admin` tinyint(1) NOT NULL DEFAULT '0',
  `is_editor` tinyint(1) NOT NULL DEFAULT '0',
  `is_author` tinyint(1) NOT NULL DEFAULT '0',
  `create_by` varchar(20) NOT NULL,
  `create_dt` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `mod_by` varchar(20) DEFAULT NULL,
  `mod_dt` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`username`, `password`, `salt`, `first_name`, `last_name`, `email`, `is_admin`, `is_editor`, `is_author`, `create_by`, `create_dt`, `mod_by`, `mod_dt`) VALUES
('myadmin1', 'De5gd1mRn2Ogx5LWZ/Fu1a2rNMScejBZ/cJgIGKWTZ9.JGhpfLxlK6/sGSdAieA8zvaZ3VGi5icjF7dfSQsvN/', 'r2-d2', 'Andy', 'Jay', 'aj@nscc.ca', 1, 0, 0, 'system', '2012-12-03 16:00:00', 'system', '2012-12-12 20:01:05'),
('myeditor1', 'OdM3TqbirkO7DQ46BdcOIUF3FoYSbWrcvPCRL/LUxy6eLTjFW4LKT5vq7LtjYqbAwkvBihUsw2DiJgXEX7rDL1', 'q9-x2', 'Jim', 'Beam', 'jbeam@nscc.ca', 0, 1, 0, 'system', '2012-12-03 16:00:00', 'system', '2012-12-12 20:03:57'),
('mysuper1', 'QAMhIKm7n5BJupWTUv6nm7mSrTmbHhJTjNPN1nt4frsdF7pQKAOvizRToDIjmTv8fTyfzKRvKOlGBFARoNKF91', 'c-3p0', 'Angela', 'Osmund', 'aos@nscc.ca', 1, 1, 1, 'system', '2012-12-03 16:00:00', 'system', '2012-12-12 20:06:01'),
('willmatheson', 'Md1VvY2GAMJBUPb91rdjDaoug8TsmaVCxq7OIeadfShlqly5LVPkdKZmhlZ0COwm.TGPYImBD0Vo0RJdRRS1L.', 's4cwy', 'Will', 'Matheson', 'w0229152@nscc.ca', 0, 0, 1, 'system', '2012-12-03 16:00:00', 'system', '2012-12-12 20:11:21');

--
-- Triggers `users`
--
DROP TRIGGER IF EXISTS `users_update`;
DELIMITER //
CREATE TRIGGER `users_update` BEFORE UPDATE ON `users`
 FOR EACH ROW SET NEW.mod_dt = NOW()
//
DELIMITER ;

-- --------------------------------------------------------

--
-- *Database* users for database `ezcms`
--

-- login:

GRANT USAGE ON *.* TO 'webloginuser'@'localhost' IDENTIFIED BY PASSWORD '*504B8AE9A5E217E0007A025111193A0A91041F43';

GRANT SELECT ON `ezcms`.`users` TO 'webloginuser'@'localhost';

-- backend:

GRANT USAGE ON *.* TO 'backwebuser'@'localhost' IDENTIFIED BY PASSWORD '*4042A34E4E85E2729F2A3F120D685DBAED243DA0';

GRANT SELECT, INSERT, UPDATE, DELETE ON `ezcms`.* TO 'backwebuser'@'localhost';

-- frontend:

GRANT USAGE ON *.* TO 'frontwebuser'@'localhost' IDENTIFIED BY PASSWORD '*35837E34D506E4CDBB02BAB6C04F48683FF927D7';

GRANT SELECT ON `ezcms`.`pages` TO 'frontwebuser'@'localhost';

GRANT SELECT (username) ON `ezcms`.`users` TO 'frontwebuser'@'localhost';

GRANT SELECT, INSERT, UPDATE ON `ezcms`.`articles` TO 'frontwebuser'@'localhost';

GRANT SELECT ON `ezcms`.`areas` TO 'frontwebuser'@'localhost';

GRANT SELECT ON `ezcms`.`templates` TO 'frontwebuser'@'localhost';

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
