<?php
/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

require_once 'iBackEndDataModel.php';
class MySQLBackEndDataModel implements iBackEndDataModel
{

    private $dbConnection;
    private $result;

    // iUserDataModel methods
    //connect as backwebuser
    public function connectToDB()
    {
        //this user can only select from users table
         $this->dbConnection = @new mysqli("localhost","backwebuser", "ENxXhqDVYePw99Ts","ezcms");
         //$this->dbConnection = @new mysqli("localhost","root", "","ezcms");
         if (!$this->dbConnection)
         {
               die('Could not connect to the CMS Database: ' .
                        $this->dbConnection->connect_errno);
         }
    }

    //close connection
    public function closeDB()
    {  
        $this->dbConnection->close();
    }

    //get a user record given a username
    public function findUser($userName){
        $userNameClean = @$this->dbConnection->real_escape_string($userName);
        $myQuery = "SELECT * from users WHERE username = '$userNameClean'";
        $this->result = @$this->dbConnection->query($myQuery);
        $currentUser = $this->result->fetch_array();
        return $currentUser; //the "row"
    }

    //get a template given a template name
    public function findTemplate($templateID)
    {
        $myQuery = "SELECT * from templates WHERE name = '$templateID'";
        $this->result = @$this->dbConnection->query($myQuery);
        return $this->result->fetch_array();//the row
    }
    
    //get a page given a page name
    public function findPage($pageID)
    {
        $myQuery = "SELECT * from pages WHERE name = '$pageID'";
        $this->result = @$this->dbConnection->query($myQuery);
        return $this->result->fetch_array();//the row
    }
    
    //get an area given an area name
    public function findArea($areaID)
    {
        $myQuery = "SELECT * from areas WHERE name = '$areaID'";
        $this->result = @$this->dbConnection->query($myQuery);
        return $this->result->fetch_array();//the row
    }
    
    //get records of all pages
    public function selectPages()
    {
       $selectStatement = "SELECT * FROM pages";
       $this->result = @$this->dbConnection->query($selectStatement);
       if(!$this->result)
       {
               die('Could not retrieve records from the CMS Database: ' .
                       $this->dbConnection->error);
       }
        
        
    }
    
    //grab one row from the records
    public function fetchPages()
    {
       if(!$this->result)
       {
               die('No records in the result set: ' .
                       $this->dbConnection->error);
       }
       return $this->result->fetch_array();
        
    }
    
    //get records of all templates
    public function selectTemplates()
    {
       $selectStatement = "SELECT * FROM templates";
       $this->result = @$this->dbConnection->query($selectStatement);
       if(!$this->result)
       {
               die('Could not retrieve records from the CMS Database: ' .
                       $this->dbConnection->error);
       }
        
        
    }
    
    //grab one row from the records
    public function fetchTemplates()
    {
       if(!$this->result)
       {
               die('No records in the result set: ' .
                       $this->dbConnection->error);
       }
       return $this->result->fetch_array();
        
    }
    
    //get records of all areas
    public function selectAreas()
    {
       $selectStatement = "SELECT * FROM areas";
       $selectStatement .= " ORDER BY `areas`.`order` ASC;";
       $this->result = @$this->dbConnection->query($selectStatement);
       if(!$this->result)
       {
               die('Could not retrieve records from the CMS Database: ' .
                       $this->dbConnection->error);
       }
        
        
    }
    
    //grab one row from the records
    public function fetchAreas()
    {
       if(!$this->result)
       {
               die('No records in the result set: ' .
                       $this->dbConnection->error);
       }
       return $this->result->fetch_array();
        
    }
    
    //get an article given an article name
    public function selectArticle($articleID)
    {
       $selectStatement = "SELECT * FROM articles";
       $selectStatement .= " WHERE name = '$articleID';";
       $this->result = @$this->dbConnection->query($selectStatement);
       if(!$this->result)
       {
               die('Could not retrieve records from the CMS Database: ' .
                       $this->dbConnection->error);
       }
       return $this->result->fetch_array();
        
    }
    
    //get records of all articles
    public function selectAllArticles()
    {
       $selectStatement = "SELECT * FROM articles";
       $this->result = @$this->dbConnection->query($selectStatement);
       if(!$this->result)
       {
               die('Could not retrieve records from the CMS Database: ' .
                       $this->dbConnection->error);
       }
        
        
    }
    
    //get one row from records
    public function fetchArticles()
    {
       if(!$this->result)
       {
               die('No records in the result set: ' .
                       $this->dbConnection->error);
       }
       return $this->result->fetch_array();
        
    }

    //get records of all users
    public function selectUsers()
    {
       $selectStatement = "SELECT * FROM users";
       $this->result = @$this->dbConnection->query($selectStatement);
       if(!$this->result)
       {
               die('Could not retrieve records from the CMS Database: ' .
                       $this->dbConnection->error);
       }
        
        
    }
    
    //get one row from records
    public function fetchUsers()
    {
       if(!$this->result)
       {
               die('No records in the result set: ' .
                       $this->dbConnection->error);
       }
       return $this->result->fetch_array();
        
    }
    
    //insert new user
    public function saveNewUser($who,$newUser)
    {
        
       $unameclean = @$this->dbConnection->real_escape_string($newUser->getUserName());
       $password = $newUser->getPwd();//this is already scrambled beyond recognition
       $salt = $newUser->getSalt();
       $fnameclean = @$this->dbConnection->real_escape_string($newUser->getFirstName());
       $lnameclean = @$this->dbConnection->real_escape_string($newUser->getLastName());
       $emlclean = @$this->dbConnection->real_escape_string($newUser->getEmail());
       $isAdmin = $newUser->isAdmin();
       $isEditor = $newUser->isEditor();
       $isAuthor = $newUser->isAuthor();
        
       @$this->dbConnection->query("INSERT INTO users(username, password, salt, first_name, last_name, email, is_admin, is_editor, is_author, create_by) VALUES('$unameclean','$password','$salt','$fnameclean','$lnameclean','$emlclean','$isAdmin','$isEditor','$isAuthor','$who');");
       
       return;

    }
    
    //update user
    public function updateUser($who,$origuname,$editUser)
    {
        
       $unameclean = @$this->dbConnection->real_escape_string($editUser->getUserName());
       $password = $editUser->getPwd();//this is already scrambled beyond recognition
       $salt = $editUser->getSalt();
       $fnameclean = @$this->dbConnection->real_escape_string($editUser->getFirstName());
       $lnameclean = @$this->dbConnection->real_escape_string($editUser->getLastName());
       $emlclean = @$this->dbConnection->real_escape_string($editUser->getEmail());
       $isAdmin = $editUser->isAdmin();
       $isEditor = $editUser->isEditor();
       $isAuthor = $editUser->isAuthor();
       
       if ($password != "" && $salt != "")//don't update these fields if new pwd not being set
       @$this->dbConnection->query("UPDATE `ezcms`.`users` SET `username` = '$unameclean', `password` = '$password', `salt` = '$salt', `first_name` = '$fnameclean', `last_name` = '$lnameclean', `email` = '$emlclean', `is_admin` = '$isAdmin', `is_editor` = '$isEditor', `is_author` = '$isAuthor', `mod_by` = '$who' WHERE `users`.`username` = '$origuname';");
       else
       @$this->dbConnection->query("UPDATE `ezcms`.`users` SET `username` = '$unameclean', `first_name` = '$fnameclean', `last_name` = '$lnameclean', `email` = '$emlclean', `is_admin` = '$isAdmin', `is_editor` = '$isEditor', `is_author` = '$isAuthor', `mod_by` = '$who' WHERE `users`.`username` = '$origuname';");
       
       return;

    }
    
    //insert new page
    public function saveNewPage($who,$newPage)
    {
        
       $nameclean = @$this->dbConnection->real_escape_string($newPage->getName());
       $aliasclean = @$this->dbConnection->real_escape_string($newPage->getAlias());
       $descriptionclean = @$this->dbConnection->real_escape_string($newPage->getDescription());
        
       @$this->dbConnection->query("INSERT INTO pages(name, alias, description, create_by) VALUES('$nameclean','$aliasclean','$descriptionclean','$who');");
       
       return;

    }
    
    //update page
    public function updatePage($who,$oname,$editPage)
    {
        
       $nameclean = @$this->dbConnection->real_escape_string($editPage->getName());
       $aliasclean = @$this->dbConnection->real_escape_string($editPage->getAlias());
       $descriptionclean = @$this->dbConnection->real_escape_string($editPage->getDescription());
       
       if ($nameclean != $oname) //the name changed, so we should re-point other articles
       @$this->dbConnection->query("UPDATE `ezcms`.`articles` SET `page` = '$nameclean', `mod_by` = '$who' WHERE `articles`.`page` = '$oname';");
       @$this->dbConnection->query("UPDATE `ezcms`.`pages` SET `name` = '$nameclean', `alias` = '$aliasclean', `description` = '$descriptionclean', `mod_by` = '$who' WHERE `pages`.`name` = '$oname';");
       
       return;

    }
    
    //delete page
    public function deletePage($who,$name)
    {
       //any articles pointing to this page need to have that blanked
       @$this->dbConnection->query("UPDATE `ezcms`.`articles` SET `page` = '', `mod_by` = '$who' WHERE `articles`.`page` = '$name';");
       @$this->dbConnection->query("DELETE FROM pages WHERE name = '$name';");
       //could also save a deletion record to another table with the user's username
       return;

    }
    
    //insert new area
    public function saveNewArea($who,$newArea)
    {
        
       $nameclean = @$this->dbConnection->real_escape_string($newArea->getName());
       $aliasclean = @$this->dbConnection->real_escape_string($newArea->getAlias());
       $order = @$this->dbConnection->real_escape_string($newArea->getOrder());
       $descriptionclean = @$this->dbConnection->real_escape_string($newArea->getDescription());
        
       @$this->dbConnection->query("INSERT INTO areas(name, alias, `order`, description, create_by) VALUES('$nameclean','$aliasclean','$order','$descriptionclean','$who');");
       
       return;

    }
    
    //update area
    public function updateArea($who,$oname,$editArea)
    {
        
       $nameclean = @$this->dbConnection->real_escape_string($editArea->getName());
       $aliasclean = @$this->dbConnection->real_escape_string($editArea->getAlias());
       $order = @$this->dbConnection->real_escape_string($editArea->getOrder());
       $descriptionclean = @$this->dbConnection->real_escape_string($editArea->getDescription());
       
       if ($nameclean != $oname) //the name changed, so we should re-point other articles
       @$this->dbConnection->query("UPDATE `ezcms`.`articles` SET `area` = '$nameclean', `mod_by` = '$who' WHERE `articles`.`area` = '$oname';");
       @$this->dbConnection->query("UPDATE `ezcms`.`areas` SET `name` = '$nameclean', `alias` = '$aliasclean', `order` = '$order', `description` = '$descriptionclean', `mod_by` = '$who' WHERE `areas`.`name` = '$oname';");
       
       return;

    }
    
    //delete area
    public function deleteArea($who,$name)
    {
       //any articles pointing to this area need to have that blanked
       @$this->dbConnection->query("UPDATE `ezcms`.`articles` SET `area` = '', `mod_by` = '$who' WHERE `articles`.`area` = '$name';"); 
       @$this->dbConnection->query("DELETE FROM areas WHERE name = '$name';");
       //could save a deletion record to another table with the user's username
       return;

    }
    
    //insert new article
    public function saveNewArticle($who,$newArticle)
    {
        
       $nameclean = @$this->dbConnection->real_escape_string($newArticle->getName());
       $titleclean = @$this->dbConnection->real_escape_string($newArticle->getTitle());
       $descriptionclean = @$this->dbConnection->real_escape_string($newArticle->getDescription());
       $pageclean = @$this->dbConnection->real_escape_string($newArticle->getPage());
       $areaclean = @$this->dbConnection->real_escape_string($newArticle->getArea());
       $bodyclean = @$this->dbConnection->real_escape_string($newArticle->getBody());
        
       @$this->dbConnection->query("INSERT INTO articles(name, title, description, page, area, body, create_by) VALUES('$nameclean','$titleclean','$descriptionclean','$pageclean','$areaclean','$bodyclean','$who');");
       
       return;
    }
    
    //update article
    public function updateArticle($who,$oname,$editArticle)
    {
        
       $nameclean = @$this->dbConnection->real_escape_string($editArticle->getName());
       $titleclean = @$this->dbConnection->real_escape_string($editArticle->getTitle());
       $descriptionclean = @$this->dbConnection->real_escape_string($editArticle->getDescription());
       $pageclean = @$this->dbConnection->real_escape_string($editArticle->getPage());
       $areaclean = @$this->dbConnection->real_escape_string($editArticle->getArea());
       $bodyclean = @$this->dbConnection->real_escape_string($editArticle->getBody());
       
       @$this->dbConnection->query("UPDATE `ezcms`.`articles` SET `name` = '$nameclean', `title` = '$titleclean', `description` = '$descriptionclean', `page` = '$pageclean', `area` = '$areaclean', `body` = '$bodyclean', `mod_by` = '$who' WHERE `articles`.`name` = '$oname';");
       
       return;
    }
       
    //insert new template
    public function saveNewTemplate($who,$newTemplate)
    {
        
       $nameclean = @$this->dbConnection->real_escape_string($newTemplate->getName());
       $descriptionclean = @$this->dbConnection->real_escape_string($newTemplate->getDescription());
       $isActive = $newTemplate->getIsActive();
       $directivesclean = @$this->dbConnection->real_escape_string($newTemplate->getDirectives());
       if ($isActive)//deactivate all others
       @$this->dbConnection->query("UPDATE `ezcms`.`templates` SET `isActive` = 0, `mod_by` = '$who';");
       @$this->dbConnection->query("INSERT INTO templates(name, description, isActive, directives, create_by) VALUES('$nameclean','$descriptionclean','$isActive','$directivesclean','$who');");
       
       return;

    }
    
    //update template
    public function updateTemplate($who,$oname,$editTemplate)
    {
        
       $nameclean = @$this->dbConnection->real_escape_string($editTemplate->getName());
       $descriptionclean = @$this->dbConnection->real_escape_string($editTemplate->getDescription());
       $isActive = $editTemplate->getIsActive();
       $directivesclean = @$this->dbConnection->real_escape_string($editTemplate->getDirectives());
       if ($isActive)//deactivate all others
       @$this->dbConnection->query("UPDATE `ezcms`.`templates` SET `isActive` = 0, `mod_by` = '$who';");
       @$this->dbConnection->query("UPDATE `ezcms`.`templates` SET `name` = '$nameclean', `description` = '$descriptionclean', `isActive` = '$isActive', `directives` = '$directivesclean', `mod_by` = '$who' WHERE `templates`.`name` = '$oname';");
       
       return;

    }
    
    //delete template
    public function deleteTemplate($who,$name)
    {
        
       @$this->dbConnection->query("DELETE FROM templates WHERE name = '$name';");
       //could save a deletion record to another table with the user's username
       return;

    }
}

?>
